Beefy Boxes and Bandwidth Generously Provided by pair Networks
Keep It Simple, Stupid
 
PerlMonks  

Problem installing Catalyst::Runtime

by swapnil (Initiate)
on Feb 14, 2012 at 09:17 UTC ( #953660=perlquestion: print w/ replies, xml ) Need Help??
swapnil has asked for the wisdom of the Perl Monks concerning the following question:

Hello Monks,

My Catalyst::Runtime installation is failing with following error :

Manifying blib/man3/Catalyst::Request::Upload.3pm Manifying blib/man3/Catalyst::Script::Create.3pm Manifying blib/man3/Catalyst::Engine.3pm BOBTFISH/Catalyst-Runtime-5.90007.tar.gz /usr/bin/make -- OK Running make test PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_h +arness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t t/aggregate/*.t t/01use.t ............................................................ +. String found where operator expected at /home/mayur/.cpan/build/Ca +talyst-Runtime-5.90007-LWUguM/blib/lib/Catalyst/Controller.pm line 14 +, near "with 'Catalyst::Component::ApplicationAttribute'" (Do you need to predeclare with?) t/01use.t ............................................................ +. 1/1 # Failed test 'use Catalyst;' # at t/01use.t line 3. # Tried to use 'Catalyst'. # Error: syntax error at /home/mayur/.cpan/build/Catalyst-Runtime +-5.90007-LWUguM/blib/lib/Catalyst/Controller.pm line 14, near "with ' +Catalyst::Component::ApplicationAttribute'"

Can you please suggest might be going wrong ?

Thanks, Swapnil

Comment on Problem installing Catalyst::Runtime
Download Code
Re: Problem installing Catalyst::Runtime
by Anonymous Monk on Feb 14, 2012 at 10:14 UTC

    Can you please suggest might be going wrong ?

    You're probably missing prerequisites

Re: Problem installing Catalyst::Runtime
by tangent (Deacon) on Feb 14, 2012 at 17:19 UTC
    My first thought when I see these kind of errors is "XS" modules. Although most of Catalyst is pure Perl it does require some XS modules which means you need to have a C compiler in the path.

    See Installing Catalyst for full instructions.
Re: Problem installing Catalyst::Runtime
by awohld (Hermit) on Feb 15, 2012 at 07:01 UTC
    It look like Catalyst::Controller is failing. I'm trying to install and having the same problems using Ubuntu 10.04 with the Perl that comes with it. I've done this many times before without an issue
    t/aggregate/c3_appclass_bug.t ........................................ +. Array found where operator expected at /home/ubuntu/.cpan/build/Cat +alyst-Runtime-5.90007-HRLCtd/blib/lib/Catalyst/Controller.pm line 215 +, at end of line (Missing operator before ?) Name "Catalyst::Controller::uniq" used only once: possible typo at /ho +me/ubuntu/.cpan/build/Catalyst-Runtime-5.90007-HRLCtd/blib/lib/Cataly +st/Controller.pm line 215.
Re: Problem installing Catalyst::Runtime
by perl_helper (Initiate) on Feb 15, 2012 at 07:43 UTC

    hi, I'm having similar problems, but I solved the (Do you need to predeclare with?) by installing the dependencies. try installing the MooseX::MethodAttributes::Inheritable.

    now I'm having the

    Array found where operator expected at /home/user/.cpan/build/Catalyst-Runtime-5.90007-FQ0c2I/blib/lib/Catalyst/Controller.pm line 215, at end of line (Missing operator before ?) Undefined subroutine &Catalyst::Controller::find_meta called at /home/user/.cpan/build/Catalyst-Runtime-5.90007-FQ0c2I/blib/lib/Catalyst/Controller.pm line 199. Compilation failed in require at /usr/local/share/perl/5.10.1/Module/Runtime.pm line 317.

    problem as well. anyone can help us?

Re: Problem installing Catalyst::Runtime
by ghenry (Vicar) on Feb 15, 2012 at 11:51 UTC

    Seems to be something strange happening at the moment which I'm trying to track down also:

    Array found where operator expected at /home/ghenry/perl5/lib/perl5/Ca +talyst/Controller.pm line 215, at end of line (Missing operator before ?) String found where operator expected at /home/ghenry/surevoip/surevoip +-api-git/SureVoIP-API/script/../lib/SureVoIP/API/Controller/SMS.pm li +ne 19, near "has 'sms_form'" (Do you need to predeclare has?) syntax error at /home/ghenry/surevoip/surevoip-api-git/SureVoIP-API/sc +ript/../lib/SureVoIP/API/Controller/SMS.pm line 19, near "has 'sms_fo +rm'" BEGIN not safe after errors--compilation aborted at /home/ghenry/surev +oip/surevoip-api-git/SureVoIP-API/script/../lib/SureVoIP/API/Controll +er/SMS.pm line 44. Compilation failed in require at /home/ghenry/perl5/lib/perl5/Catalyst +/Utils.pm line 287. Compilation failed in require at /home/ghenry/perl5/lib/perl5/Module/R +untime.pm line 317. at /home/ghenry/perl5/lib/perl5/Catalyst/Script/Server.pm line 239

    This is related to Random corrupted double-linked list

    I'll come back as I'm getting help in #catalyst

    Walking the road to enlightenment... I found a penguin and a camel on the way.....
    Fancy a yourname@perl.me.uk? Just ask!!!
Re: Problem installing Catalyst::Runtime
by ghenry (Vicar) on Feb 16, 2012 at 19:38 UTC

    Looks like this is fixed in latest Catalyst out today.

    Walking the road to enlightenment... I found a penguin and a camel on the way.....
    Fancy a yourname@perl.me.uk? Just ask!!!
Re: Problem installing Catalyst::Runtime
by swapnil (Initiate) on Feb 17, 2012 at 14:34 UTC

    My installation went through with the latest Catalyst-Runtime-5.90009 :-) . When I posted this query I was trying Catalyst-Runtime-5.90007

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://953660]
Approved by Corion
Front-paged by Corion
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others about the Monastery: (6)
As of 2014-08-21 00:01 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    The best computer themed movie is:











    Results (126 votes), past polls